type IApiFn = (...arg: any[]) => Promise<any>;
export declare const useEditableTable: ({ addApi, editApi, deleteApi, onApiCompleted, }: {
    addApi?: IApiFn;
    editApi?: IApiFn;
    deleteApi?: IApiFn;
    onApiCompleted?: () => void;
}) => {
    table: import("vue").Ref<ActindoDataTable>;
    showError: import("vue").Ref<boolean>;
    error: import("vue").Ref<string>;
    showChangeDialog: import("vue").Ref<boolean>;
    isEditMode: import("vue").Ref<boolean>;
    isLoading: import("vue").Ref<boolean>;
    isBatchLoading: import("vue").Ref<boolean>;
    apiCall: <T = any>(api: IApiFn, ...arg: any[]) => Promise<T>;
    onAddRow: <T_1 = any>(...arg: any[]) => Promise<T_1>;
    onEditRow: <T_2 = any>(...arg: any[]) => Promise<T_2>;
    onDeleteRows: <T_3 = any>(...arg: any[]) => Promise<T_3>;
    batchApiCalls: (api: IApiFn, args: any[][], iterate?: boolean) => Promise<any[]>;
};
export {};
